Skip to main content
Update Deal Details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

select
string

Select columns to return

id
string
created_at
string
updated_at
string

Latest update

organisation_id
string

Organisation ID

contact_id
string

Contact ID

name
string

Name of the deal

external_id
string

External ID

type_key
string

Type Key

status_key
string

Status Key

assignee_id
string

Assignee ID

value
string

Value of the deal

currency
string

Currency of the deal

won_at
string

Won at timestamp

lost_at
string

Lost at timestamp

Body

application/json

deal

id
string<uuid>
default:random uuid
created_at
string<timestamp with time zone>
default:now()
updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

contact_id
string<uuid>

Contact ID

name
string<text>

Name of the deal

external_id
string<text> | null

External ID

type_key
string<text>

Type Key

status_key
string<text>

Status Key

assignee_id
string<uuid> | null

Assignee ID

value
number<numeric> | null

Value of the deal

currency
enum<string>
default:EUR

Currency of the deal

Available options:
EUR,
CHF,
USD
won_at
string<timestamp with time zone> | null

Won at timestamp

lost_at
string<timestamp with time zone> | null

Lost at timestamp

{key}
Example:

"your string custom field"

Response

The updated Deal object

id
string<uuid>
default:random uuid
created_at
string<timestamp with time zone>
default:now()
updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

contact_id
string<uuid>

Contact ID

name
string<text>

Name of the deal

external_id
string<text> | null

External ID

type_key
string<text>

Type Key

status_key
string<text>

Status Key

assignee_id
string<uuid> | null

Assignee ID

value
number<numeric> | null

Value of the deal

currency
enum<string>
default:EUR

Currency of the deal

Available options:
EUR,
CHF,
USD
won_at
string<timestamp with time zone> | null

Won at timestamp

lost_at
string<timestamp with time zone> | null

Lost at timestamp

{key}
Example:

"your string custom field"